# Device Fingerprints

Device fingerprints are possession-based SCA challenge factors. They allow you to verify that a user is accessing the API from a recognized device.
A profile can have up to 3 device fingerprints registered simultaneously. All device fingerprint operations use JOSE (JWE) encryption. See the [SCA over API guide](/guides/developer/auth-and-security/sca-and-2fa) for encryption details.

 - [POST /v2/profiles/{profileId}/device-fingerprints](https://docs.wise.com/api-reference/legacy/sca-device-fingerprints/scadevicefingerprintcreate.md): Creates a new device fingerprint factor used to resolve a SCA possession challenge type. The request and response are encrypted using the JOSE framework. Please refer to the [SCA over API guide](/guid
 - [POST /v2/profiles/{profileId}/device-fingerprints/verify](https://docs.wise.com/api-reference/legacy/sca-device-fingerprints/scadevicefingerprintverify.md): Verifies a device fingerprint challenge when calling a SCA-secured endpoint. Make sure to [create a device fingerprint](/api-reference/legacy/sca-device-fingerprints/scadevicefingerprintcreate) before
 - [DELETE /v2/profiles/{profileId}/device-fingerprints/{deviceFingerprintId}](https://docs.wise.com/api-reference/legacy/sca-device-fingerprints/scadevicefingerprintdelete.md): Deletes a device fingerprint associated to a profile. Include the `deviceFingerprintId` in the URL to delete a device fingerprint. This ID is provided in the response when the device fingerprint is cr
 - [POST /v1/one-time-token/partner-device-fingerprint/verify](https://docs.wise.com/api-reference/legacy/sca-device-fingerprints/ottdevicefingerprintverify.md): [](/guides/developer/auth-and-security/jose/jose-jwe) To clear a **Device Fingerprint** challenge listed in an OTT. Notes: 1. User is required to [create a device fingerprint](/api-reference/legacy/us
